<?php

/**
 * Subclass for performing query and update operations on the 'node' table.
 *
 * @package lib.model
 */
class NodePeer extends BaseNodePeer {
    public static function retrieveByPK($pk, $con = null, $load_from_cache = true)
    {
        static $cache = array();
        if (!isset($cache[$pk]) || !$load_from_cache) {
            $cache[$pk] = parent::retrieveByPK($pk, $con);
        }
        return $cache[$pk];
    }
}